Get the current user's S3 credential information
curl --request GET \
--url https://api.example.com/api/s3-credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/s3-credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/s3-credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_key": "<string>",
"owner": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_active": true,
"last_used_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}Object storage
Get the current user's S3 credential information
Retrieves the S3 credential metadata for the currently logged-in user.
Adhere to the following:
- The secret key isn’t returned. If you’ve lost it, regenerate the credential.
- Authentication requires a Keycloak token. PSK auth isn’t allowed.
GET
/
api
/
s3-credentials
Get the current user's S3 credential information
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Credential metadata retrieved successfully.
Current S3 credential metadata for a user. Never includes the secret.
The S3 access key ID.
The user that owns this credential.
Credential creation timestamp.
Timestamp when the credential was last regenerated.
Whether the credential is active.
Timestamp when the access key was last looked up.
Was this page helpful?

